BMA EHR API Document

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
BMA.EHR.Application.Repositories.Leaves.LeaveRequests.LeaveTypeRepository Class Reference
Inheritance diagram for BMA.EHR.Application.Repositories.Leaves.LeaveRequests.LeaveTypeRepository:

## Public Member Functions
| LeaveTypeRepository (ILeaveDbContext dbContext, IHttpContextAccessor httpContextAccessor, OrganizationCommonRepository organizationCommonRepository, UserProfileRepository userProfileRepository, IConfiguration configuration, EmailSenderService emailSenderService)
async Task< LeaveType?> | GetLeaveTypeByCodeAsync (string code)
Public Member Functions inherited from BMA.EHR.Application.Repositories.Leaves.GenericLeaveRepository< Guid, LeaveType >
| GenericLeaveRepository (ILeaveDbContext dbContext, IHttpContextAccessor httpContextAccessor)
virtual async Task< IReadOnlyList< T > > | GetAllAsync ()
virtual async Task< T?> | GetByIdAsync (S id)
virtual async Task< T > | AddAsync (T entity)
virtual async Task< T > | UpdateAsync (T entity)
virtual async Task | DeleteAsync (T entity)

## Properties
Guid | UserOrganizationId`[get]`
Properties inherited from BMA.EHR.Application.Repositories.Leaves.GenericLeaveRepository< Guid, LeaveType >
string? | UserId`[get]`
string? | FullName`[get]`
bool? | IsPlacementAdmin`[get]`

## Constructor & Destructor Documentation

## ◆ LeaveTypeRepository()

BMA.EHR.Application.Repositories.Leaves.LeaveRequests.LeaveTypeRepository.LeaveTypeRepository | ( | ILeaveDbContext | dbContext,
|  | IHttpContextAccessor | httpContextAccessor,
|  | OrganizationCommonRepository | organizationCommonRepository,
|  | UserProfileRepository | userProfileRepository,
|  | IConfiguration | configuration,
|  | EmailSenderService | emailSenderService
| ) |  |
| inline

## Member Function Documentation

## ◆ GetLeaveTypeByCodeAsync()

async Task< LeaveType?> BMA.EHR.Application.Repositories.Leaves.LeaveRequests.LeaveTypeRepository.GetLeaveTypeByCodeAsync | ( | string | code | ) |
| inline

## Property Documentation

## ◆ UserOrganizationId

Guid BMA.EHR.Application.Repositories.Leaves.LeaveRequests.LeaveTypeRepository.UserOrganizationId
| get protected

The documentation for this class was generated from the following file:

- BMA.EHR.Application/Repositories/Leaves/LeaveRequests/LeaveTypeRepository.cs